Package org.eclipse.jface.text

# Class MultiTextSelection

java.lang.Object
org.eclipse.jface.text.MultiTextSelection

All Implemented Interfaces:
  `IMultiTextSelection`, `ITextSelection`, `ISelection`

public class MultiTextSelection extends Object implements IMultiTextSelection

Since:
  3.19

## Constructor Summary

Constructors
Constructor
Description
`MultiTextSelection(IDocument document, IRegion[] regions)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getEndLine()`
Returns the number of the line containing the last character of the selected text.
`int`
`getLength()`
Returns the length of the selected text.
`int`
`getOffset()`
Returns the offset of the selected text.
`IRegion[]`
`getRegions()`
Returns a non-empty array containing the selected text range for each line covered by the selection.
`int`
`getStartLine()`
Returns number of the line containing the offset of the selected text.
`String`
`getText()`
Returns the selected text.
`boolean`
`isEmpty()`
Returns whether this selection is empty.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultiTextSelection

public MultiTextSelection(IDocument document, IRegion[] regions)

## Method Details

### getOffset

public int getOffset()
Description copied from interface: `ITextSelection`
Returns the offset of the selected text.

Specified by:
  `getOffset` in interface `ITextSelection`
Returns:
  the offset of the selected text or -1 if there is no valid text information

### getLength

public int getLength()
Description copied from interface: `ITextSelection`
Returns the length of the selected text.

Specified by:
  `getLength` in interface `ITextSelection`
Returns:
  the length of the selected text or -1 if there is no valid text information

### getStartLine

public int getStartLine()
Description copied from interface: `ITextSelection`
Returns number of the line containing the offset of the selected text. If the underlying text has been changed between the creation of this selection object and the call of this method, the value returned might differ from what it would have been at the point of creation.

Specified by:
  `getStartLine` in interface `ITextSelection`
Returns:
  the start line of this selection or -1 if there is no valid line information

### getEndLine

public int getEndLine()
Description copied from interface: `ITextSelection`
Returns the number of the line containing the last character of the selected text. If the underlying text has been changed between the creation of this selection object and the call of this method, the value returned might differ from what it would have been at the point of creation.

Specified by:
  `getEndLine` in interface `ITextSelection`
Returns:
  the end line of this selection or -1 if there is no valid line information

### getText

public String getText()
Description copied from interface: `ITextSelection`
Returns the selected text. If the underlying text has been changed between the creation of this selection object and the call of this method, the value returned might differ from what it would have been at the point of creation.

Specified by:
  `getText` in interface `ITextSelection`
Returns:
  the selected text or `null` if there is no valid text information

### isEmpty

public boolean isEmpty()
Description copied from interface: `ISelection`
Returns whether this selection is empty.

Specified by:
  `isEmpty` in interface `ISelection`
Returns:
  `true` if this selection is empty, and `false` otherwise

### getRegions

public IRegion[] getRegions()
Description copied from interface: `IMultiTextSelection`
Returns a non-empty array containing the selected text range for each line covered by the selection.

Specified by:
  `getRegions` in interface `IMultiTextSelection`
Returns:
  an array containing a the covered text range for each line covered by the receiver